<#if view.getViewType() == 'DEMPICKUPVIEW'>
<div class="pickupviewpanel__container">
    <view_${ctrl.getName()} 
        :viewState="viewState"  
        :viewparams="JSON.parse(JSON.stringify(viewparams))" 
        :context="JSON.parse(JSON.stringify(context))" 
        :isSingleSelect="isSingleSelect"
        :selectedData="selectedData"
        :isShowButton="isShowButton"
        name="${ctrl.name}"  
        ref='${ctrl.name}' 
        <#if ctrl.getHookEventNames()??>
        <#list ctrl.getHookEventNames() as eventName>
        @${eventName?lower_case}="${ctrl.name}_${eventName?lower_case}($event)"  
        </#list>
        </#if>
        @closeview="closeView($event)">
    </view_${ctrl.getName()}>
    <div v-if="isShowButton" class="pickupviewpanel__center">
        <div class="pickupviewpanel__center__buttons">
            <i-button type="primary" :title="containerModel.view_rightbtn.text"
                :disabled="containerModel.view_rightbtn.disabled"
                @click="onCLickRight">
                <i class="el-icon-arrow-right"></i>
            </i-button>
            <i-button type="primary" :title="containerModel.view_leftbtn.text"
                :disabled="containerModel.view_leftbtn.disabled"
                @click="onCLickLeft">
                <i class="el-icon-arrow-left"></i>
            </i-button>
            <i-button type="primary" :title="containerModel.view_allrightbtn.text"
                @click="onCLickAllRight">
                <i class="el-icon-d-arrow-right"></i>
            </i-button>
            <i-button type="primary" :title="containerModel.view_allleftbtn.text"
                @click="onCLickAllLeft">
                <i class="el-icon-d-arrow-left"></i>
            </i-button>
        </div>
    </div>
    <div v-if="isShowButton" class="pickupviewpanel__right">
        <div class="pickupviewpanel__right__select">
            <div v-for="(item, index) in viewSelections" :key="index" :class="item._select ? 'select' : ''" @click="selectionsClick(item)" @dblclick="selectionsDBLClick(item)">
                <span>{{item.srfmajortext}}</span>
            </div>
        </div>
    </div>
</div>
<#else>
<view_${ctrl.getName()} 
    :viewState="viewState"  
    :viewparams="JSON.parse(JSON.stringify(viewparams))" 
    :context="JSON.parse(JSON.stringify(context))" 
    :isSingleSelect="isSingleSelect"
    :selectedData="selectedData"
    :isShowButton="isShowButton"
    name="${ctrl.name}"  
    ref='${ctrl.name}' 
    <#if ctrl.getHookEventNames()??>
    <#list ctrl.getHookEventNames() as eventName>
    @${eventName?lower_case}="${ctrl.name}_${eventName?lower_case}($event)"  
    </#list>
    </#if>
    @closeview="closeView($event)">
</view_${ctrl.getName()}>
</#if>